Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.workflow
Interface ApprovePublish

All Known Implementing Classes:
  ApprovePublishImpl

    public interface ApprovePublish

Created on : Dec 19, 2006

Author:
  Sohil Shah - sohil.shah@jboss.com

Method Summary
`java.util.Collection<Content>` | `getAllPendingInQueue()` Retrieves a queue of unapproved content for everything in the CMS.
`java.util.Set<java.lang.String>` | `getManagers()` Returns role names of Roles that are designated to be Managers in this workflow.
`java.util.Collection<Content>` | `getPendingQueue(java.lang.String filePath)` Retrieves a queue of unapproved content associated with the specified file in the CMS
`void` | `processManagerResponse(long processId, java.lang.String manager, boolean approved)` Called when a manager either approves or rejects the publishing of a specific content to go live
`void` | `processManagerResponse(long processId, java.lang.String manager, java.lang.String modifiedContent)` Called when a manager either approves the publishing of a specific content to go live, but at the same time adds his/her own modifications to the original content
`long` | `requestApproval(Content content)` Called when content is added to the CMS, and needs to be approved by the managers before it can be published to go live

Method Detail

### requestApproval

    long requestApproval(Content content)
                         throws org.jboss.portal.workflow.WorkflowException

  Called when content is added to the CMS, and needs to be approved by the managers before it can be published to go live

  Parameters:
    `content` - the content to be approved
  Returns:
    the process id of the workflow process set in motion
  Throws:
    `org.jboss.portal.workflow.WorkflowException` - if an error occured during the approval process

### processManagerResponse

    void processManagerResponse(long processId,
                                java.lang.String manager,
                                boolean approved)
                                throws org.jboss.portal.workflow.WorkflowException

  Called when a manager either approves or rejects the publishing of a specific content to go live

  Parameters:
    `processId` - the id of the approval process we are interested in
    `manager` - userId of the manager
    `approved` - true if approved, false if rejected
  Throws:
    `org.jboss.portal.workflow.WorkflowException`

### processManagerResponse

    void processManagerResponse(long processId,
                                java.lang.String manager,
                                java.lang.String modifiedContent)
                                throws org.jboss.portal.workflow.WorkflowException

  Called when a manager either approves the publishing of a specific content to go live, but at the same time adds his/her own modifications to the original content

  Parameters:
    `processId` - the process id of the workflow we're interesting in
    `manager` - userId of the manager
    `modifiedContent` - modified content
  Throws:
    `org.jboss.portal.workflow.WorkflowException`

### getPendingQueue

    java.util.Collection<Content> getPendingQueue(java.lang.String filePath)
                                                  throws org.jboss.portal.workflow.WorkflowException

  Retrieves a queue of unapproved content associated with the specified file in the CMS

  Parameters:
    `filePath` -
  Returns:
  Throws:
    `org.jboss.portal.workflow.WorkflowException`

### getAllPendingInQueue

    java.util.Collection<Content> getAllPendingInQueue()
                                                       throws org.jboss.portal.workflow.WorkflowException

  Retrieves a queue of unapproved content for everything in the CMS.

  Returns:
  Throws:
    `org.jboss.portal.workflow.WorkflowException`

### getManagers

    java.util.Set<java.lang.String> getManagers()

  Returns role names of Roles that are designated to be Managers in this workflow. Managers approve/deny all content publish requests before the content goes live in the CMS

  Returns:
    a Set of role names

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.